hakyll-4.9.7.0: A static website compiler library

Safe Haskell | None
Language | Haskell98

Hakyll.Main

Description

Module providing the main hakyll function and command-line argument parsing

Synopsis

- hakyll :: Rules a -> IO ()
- hakyllWith :: Configuration -> Rules a -> IO ()
- hakyllWithArgs :: Configuration -> Options -> Rules a -> IO ()
- hakyllWithExitCode :: Configuration -> Rules a -> IO ExitCode

# Documentation

hakyll :: Rules a -> IO () #

This usually is the function with which the user runs the hakyll compiler

hakyllWith :: Configuration -> Rules a -> IO () #

A variant of `hakyll` which allows the user to specify a custom configuration

hakyllWithArgs :: Configuration -> Options -> Rules a -> IO () #

A variant of `hakyll` which expects a `Configuration` and command-line `Options`. This gives freedom to implement your own parsing.

hakyllWithExitCode :: Configuration -> Rules a -> IO ExitCode #

A variant of `hakyll` which returns an `ExitCode`